Essence Consent Management API
Version v1 · OpenAPI 3.0.1 · 636 operations · Download the JSON document
Zero-knowledge consent management for secure document sharing
Generated from the Consent service's code at build time (api-specs/generated/Consent/Essence.Consent.Core.Api.json) and drift-checked in CI. It describes what the code registers, which is not the same as what any one deployment has routed.
AccountCapture
/api/v1/account/capture-requestsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.IssueAccountCaptureRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/capture-requests/by-token/{token}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/capture-requests/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/capture-requests/{id}/decisionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.AccountCaptureDecisionDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/capture-requests/{id}/receiptAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsAgentDelegation
/api/v1/consent/agent-delegationsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
agentReference | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.CreateAgentDelegationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/agents/{agentReference}/activityAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
agentReference | path | string | yes | — |
from | query | string (date-time) | no | — |
to | query | string (date-time) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/agents/{agentReference}/reportAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
agentReference | path | string | yes | — |
from | query | string (date-time) | no | — |
to | query | string (date-time) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/agents/{agentReference}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
agentReference | path | string | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeAgentAuthorityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/authorizedeprecatedAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/force-revoke-for-agentAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ForceRevokeAgentDelegationsRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/agent-delegations/templatesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsAppOwnership
/api/v1/consent/app-ownership-changesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
outstandingOnly | query | boolean | no | — |
Request body
No request body.
Responses
/api/v1/consent/app-ownership-changes/rescope-validationAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
appId | query | string | no | — |
toOrgId | query | string (uuid) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-ownership-changes/{transferId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transferId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-ownership-changes/{transferId}/acknowledgeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transferId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-ownership-changes/{transferId}/confirm-billingAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transferId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-ownership-changes/{transferId}/reconsentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transferId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-ownership-changes/{transferId}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transferId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsAppSunset
/api/v1/consent/app-sunsetAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/app-sunset/{deprecationId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deprecationId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-sunset/{deprecationId}/cohortAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deprecationId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-sunset/{deprecationId}/migrate-nowAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deprecationId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
/api/v1/consent/app-sunset/{deprecationId}/remind-meAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deprecationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.AppSunsetReminderRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/app-sunset/{deprecationId}/request-extensionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deprecationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.AppSunsetExtensionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsAssuranceEstablishmentConsent
/api/v1/consents/assurance-establishmentAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordAssuranceEstablishmentConsentRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsBiometricProcessingConsent
/api/v1/consents/biometric-processingAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordBiometricProcessingConsentRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consents/biometric-processing/{consentId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consents/biometric-processing/{consentId}/withdrawAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCaptureEscrow
/api/v1/capturesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.IssueCaptureRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/captures/consent-requests/bulkAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.BulkCaptureConsentRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/captures/holdingsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/captures/notices/{token}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/captures/{captureId}/decisionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
captureId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.CaptureDecisionRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/captures/{captureId}/eraseAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
captureId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.CaptureEraseRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/captures/{captureId}/notices/deliverAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
captureId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsChildhoodConsent
/api/v1/consent/childhood/{childId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/childhood/{childId}/{consentId}/withdrawAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
consentId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeGuardianConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/guardian-granted/{childId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/guardian-granted/{childId}/{consentId}/decisionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
consentId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.DecideGuardianGrantedConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsChildRecordConsent
/api/v1/consent/child-records/approvals/{approvalId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
approvalId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/child-records/approvals/{approvalId}/decisionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
approvalId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.DecideCoParentApprovalRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/child-records/approvals/{approvalId}/undoAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
approvalId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/child-records/releasesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RequestChildRecordReleaseRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/children/{childId}/consent-registerAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/children/{childId}/consent-register/pdfAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
childId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsClosureConsent
/api/v1/account/closure/{closureId}/reportAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
X-Api-Version | header | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/closure/{closureId}/link-statesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/closure/{closureId}/reportAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsClosureTransferConsent
/api/v1/account/closure/{closureId}/handover-contacts/{linkId}/transfer-consentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/closure/{closureId}/handover-contacts/{linkId}/transfer-consentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
linkId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordClosureTransferConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/account/closure/{closureId}/transfer-consentsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
closureId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/closure-transfer-asksAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/closure-transfer-asks/{id}/answerAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.AnswerClosureTransferAskRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCollectiveDecisions
/api/v1/consent/collective-decisionsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.OpenCollectiveDecisionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/collective-decisions/capabilitiesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/collective-decisions/{decisionId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
decisionId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/collective-decisions/{decisionId}/grantsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
decisionId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/collective-decisions/{decisionId}/grantsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
decisionId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.GrantCollectiveAcceptanceRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/collective-decisions/{decisionId}/grants/{grantId}/withdrawAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
decisionId | path | string (uuid) | yes | — |
grantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.WithdrawCollectiveAcceptanceRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCommunicationsConsent
/api/v1/consent/communicationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/communicationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.DTOs.UpdateCommunicationsConsentRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsCompliance
/api/v1/Compliance/snapshots/consent/{consentId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/Compliance/snapshots/myAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/Compliance/snapshots/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/Compliance/snapshots/{id}/retentionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
unspecifiedMicrosoft.AspNetCore.Mvc.ProblemDetailsComplianceReporting
/api/v1/compliance/reporting/audit-trailAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
grantorId | query | string (uuid) | no | — |
granteeId | query | string (uuid) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/compliance/reporting/gdpr/validate/{grantorId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantorId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
unspecified/api/v1/compliance/reporting/generateAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Queries.ConsentHistory.GenerateComplianceReportQueryasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/compliance/reporting/grantor/{grantorId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantorId | path | string (uuid) | yes | — |
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
Request body
No request body.
Responses
/api/v1/compliance/reporting/my-summaryAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/compliance/reporting/statisticsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantorId | query | string (uuid) | no | — |
days | query | integer (int32) | no | — |
Request body
No request body.
Responses
/api/v1/compliance/reporting/violationsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
severity | query | string | no | — |
Request body
No request body.
Responses
/api/v1/compliance/reporting/{reportId}/exportAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reportId | path | string (uuid) | yes | — |
grantorId | query | string (uuid) | no | — |
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
granteeId | query | string (uuid) | no | — |
format | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsConnectionConsent
/api/v1/consent/connection-consentsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/connection-consents/acceptAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Commands.Connection.AcceptConnectionConsentCommandasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/connection-consents/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/connection-consents/{id}/receiptAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/connection-consents/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RevokeConnectionConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConnections
/api/v1/connections/{id}/sync-transparencyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsent
/api/v1/ConsentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | query | string (uuid) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
/api/v1/ConsentAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.GrantConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/check/{documentId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
boolean/api/v1/Consent/credential-impactAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.CredentialConsentImpactRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/document/{documentId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
/api/v1/Consent/grantAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.GrantConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/grantedAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | query | string (uuid) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
/api/v1/Consent/granted-to-meAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | query | string (uuid) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
/api/v1/Consent/granted-to-my-orgAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | query | string (uuid) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
Essence.Platform.Contracts.Pagination.CursorResultOfEssence.Consent.Core.Contracts.DTOs.ConsentGrantDtoMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{consentId}/legal-hold/{holdId}/request-releaseAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
holdId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RequestLegalHoldReleaseRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Essence.Consent.Core.Contracts.DTOs.ConsentGrantDtoMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.UpdateConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Idempotency-Key | header | string | no | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.UpdateConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/accessAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/approval-challengeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/approveAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ApproveConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/credential-descriptorAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.PublishCredentialDescriptorRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/denyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.DenyConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/reactivateAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ReactivateConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/receiptAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/shared-credentialAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.DeclareSharedCredentialRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/sharing-keyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/sharing-keyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RewrapSharingKeyRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/Consent/{id}/suspendAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.SuspendConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentAccessRequests
/api/v1/consent/access-requests/pendingAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/{id}/access-requestsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/{id}/access-requests/{requestId}/approveAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
requestId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/{id}/access-requests/{requestId}/denyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
requestId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.DenyConsentAccessRequestRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentBundle
/api/v1/consent-bundlesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
purpose | query | Essence.Consent.Core.Domain.Enums.ConsentPurpose | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetails/api/v1/consent-bundlesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Commands.Bundle.CreateConsentBundleCommandasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/acceptAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/items/{documentId}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
documentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/rejectAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RejectConsentBundleRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/revoke-allAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RevokeConsentBundleRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/submitAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/subscriptionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/subscriptionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Commands.Bundle.AttachBundleSubscriptionCommandasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/subscription/syncAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Idempotency-Key | header | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-bundles/{id}/terminate-on-eventAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.TerminateConsentBundleOnEventRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentChangeRequest
/api/v1/consent/change-requestsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RequestConsentChangeRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/change-requests/for-grant/{consentGrantId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentGrantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/change-requests/pendingAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/change-requests/{id}/applyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.ResolveConsentChangeRequestRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/change-requests/{id}/dismissAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.ResolveConsentChangeRequestRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentCompliance
/api/v1/consent/{id}/compliance-snapshotAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/{id}/compliance-snapshotAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
unspecifiedMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentDelegation
/api/v1/consent/delegationsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
asDelegate | query | boolean | no | — |
Request body
No request body.
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDto[]Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.CreateDelegationRequestasapplication/*+json,application/json,text/json
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDtoMicrosoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/bulkAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.BulkCreateDelegationsRequestasapplication/*+json,application/json,text/json
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDto[]Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/candidatesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/collectionsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/templatesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDtoMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}/actionsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}/actionsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordDelegationActionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}/reconfirmAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ReconfirmDelegationRequestasapplication/*+json,application/json,text/json
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDtoMicrosoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeDelegationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/{id}/scopeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.UpdateDelegationScopeRequestasapplication/*+json,application/json,text/json
Responses
Essence.Consent.Core.Contracts.DTOs.DelegationDtoMicrosoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentDelegationValidation
/api/v1/consents/validate-delegationAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ValidateDelegationGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentHistory
/api/v1/consent-history/bulk-revokeAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Commands.ConsentHistory.BulkRevokeConsentsCommandasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-history/grantor/{grantorId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantorId | path | string (uuid) | yes | — |
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
Essence.Platform.Contracts.Pagination.CursorResultOfEssence.Consent.Core.Application.DTOs.ConsentHistoryDtoMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-history/my-consentsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
startDate | query | string (date-time) | no | — |
endDate | query | string (date-time) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
/api/v1/consent-history/statisticsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent-history/{consentId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-history/{consentId}/as-atAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
asAtUtc | query | string (date-time) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-history/{consentId}/exportAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
format | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentInjectionValidation
/api/v1/consents/validate-care-linkAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ValidateCareLinkRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consents/validate-injectionAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ValidateInjectionConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentMerge
/api/v1/consent-remapsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent-remaps/{mergeSessionId}/summaryAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mergeSessionId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/merge/{mergeSessionId}/planAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mergeSessionId | path | string (uuid) | yes | — |
retiredAccountId | query | string (uuid) | no | — |
survivingAccountId | query | string (uuid) | no | — |
mode | query | Essence.Consent.Core.Domain.Merge.MergeRepointMode | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentNotice
/api/v1/consent/notices/locale-assessmentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reserveAuditRef | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/notices/locale-postureAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/notices/outstanding-reaffirmationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/notices/{id}/reaffirmAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentOrgAdmin
/api/v1/consent/org/bulk-grantsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
documentId | query | string (uuid) | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
Essence.Platform.Contracts.Pagination.CursorResultOfEssence.Consent.Core.Contracts.DTOs.ConsentGrantDtoMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/org/escrow-queueAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/org/invitation-ttlAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/org/invitation-ttlAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.UpdateOrgInvitationTtlRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/org/oversightAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsConsentPermissions
/api/v1/consent/{id}/permissionsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/{id}/permissionsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.AddPermissionRequestasapplication/*+json,application/json,text/json
Responses
unspecifiedMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/{id}/permissions/{permId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
permId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentPolicyTemplate
/api/v1/consent/policy-templatesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/policy-templatesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.PublishConsentPolicyTemplateRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/policy-templates/orgAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentRenewal
/api/v1/consent/renewalAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RepointConsentsForRenewalRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/renewal/previewAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
previousDocumentId | query | string (uuid) | no | — |
replacementDocumentId | query | string (uuid) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsConsentSharedContent
/api/v1/consent/{id}/shared-contentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ResealSharedContentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsConsentValidation
/api/v1/consent/validateAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ValidateConsentGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consents/validateAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ValidateConsentGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsContactCardBoundarySnapshot
/api/v1/contact-cards/{cardId}/boundary-snapshotAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cardId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/contact-cards/{cardId}/majority-transfer/boundary-snapshotAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cardId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsContactChangeImpact
/api/v1/consent/affected-by-contact-change/{changeId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
changeId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCounterpartyChanges
/api/v1/consents/counterparty-changesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCourtConferredAuthority
/api/v1/consent/court-conferred-authoritiesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
includeEnded | query | boolean | no | — |
Request body
No request body.
Responses
/api/v1/consent/court-conferred-authoritiesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.IngestCourtOrderRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/access-decisionsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.CourtAuthorityAccessDecisionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/wards/{wardId}/capacity-determinationsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wardId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RecordCapacityDeterminationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/wards/{wardId}/termination-noticeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wardId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/{authorityId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
authorityId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/{authorityId}/activateAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
authorityId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/{authorityId}/endAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
authorityId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.EndCourtAuthorityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/{authorityId}/suspendAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
authorityId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/court-conferred-authorities/{authorityId}/variationsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
authorityId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RecordCourtAuthorityVariationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCrossBorderConsentGrant
/api/v1/consent/cross-border/grantsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/cross-border/grantsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RecordCrossBorderConsentGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/cross-border/grants/adequacyAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantorRegion | query | Essence.Consent.Core.Domain.Enums.DataResidencyRegion | no | — |
recipientRegion | query | Essence.Consent.Core.Domain.Enums.DataResidencyRegion | no | — |
mechanism | query | Essence.Consent.Core.Domain.Enums.TransferMechanism | no | — |
complianceFramework | query | Essence.Consent.Core.Domain.Enums.ComplianceFramework | no | — |
justification | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/cross-border/grants/legal-basisAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
recipientClass | query | string | no | — |
subjectStanding | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCrossInstanceConsent
/api/v1/cross-instance-consent/requestAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Application.Commands.CrossInstance.RequestConsentMirrorCommandasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/cross-instance-consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/cross-instance-consent/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RequestCrossInstanceRevocationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsCustodianGrants
/api/v1/consent/custodian-grantsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
subjectRef | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/custodian-grantsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ProvisionCustodianGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/custodian-grants/{grantId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/custodian-grants/{grantId}/extendAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ExtendCustodianGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/custodian-grants/{grantId}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
grantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeCustodianGrantRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDeceasedConsentTeardown
/api/v1/consent/deceased-teardownAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.DeceasedConsentTeardownRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDelegatedCapabilities
/api/v1/consent/capabilitiesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
delegateRef | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilitiesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.IssueDelegatedCapabilityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/issued-to-meAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/jwksAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/capabilities/revoke-for-agentAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeCapabilitiesForAgentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/status-listAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/capabilities/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/childrenAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Capability-Proof | header | string | no | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.IssueChildCapabilityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/presentationAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Capability-Proof | header | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/redemptionsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Idempotency-Key | header | string | no | — |
Capability-Proof | header | string | no | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RedeemCapabilityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/redemptions/{redemptionId}/exerciseAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
redemptionId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ExerciseCapabilityRedemptionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/redemptions/{redemptionId}/releaseAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
redemptionId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.ReleaseCapabilityRedemptionRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/capabilities/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeDelegatedCapabilityRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDelegationBulkRevocations
/api/v1/consent/delegations/bulk-revocationsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/bulk-revocations/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/delegations/bulk-revokeAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.BulkRevokeDelegationsRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDevicePrincipal
/api/v1/consent/principals/{principalId}/grant-countAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
principalId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsDisclosureRecipients
/api/v1/consent/disclosure-recipientsAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
subjectId | query | string (uuid) | no | — |
recordId | query | string | no | — |
fieldKey | query | string | no | — |
scopes | query | string[] | no | — |
Request body
No request body.
Responses
Essence.Consent.Core.Application.Queries.DisclosureRecipients.DisclosureRecipientsResultMicrosoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDocumentRequest
/api/v1/consent/document-requestsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.CreateDocumentRequestRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/document-requests/inboundAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/document-requests/inbound/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/document-requests/inbound/{id}/approveAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.ApproveDocumentRequestRequestDtoasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/document-requests/inbound/{id}/declineAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/document-requests/outboundAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/api/v1/consent/document-requests/{id}/auditAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsDonorDisclosurePreferences
/api/v1/orgs/{organizationId}/donor-disclosure-preferencesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordDonorDisclosurePreferenceRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/orgs/{organizationId}/donor-disclosure-preferences/{donorRef}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
donorRef | path | string | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDonorRegisterCases
/api/v1/orgs/{organizationId}/donor-register/casesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/orgs/{organizationId}/donor-register/casesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.LodgeDonorRegisterCaseRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/orgs/{organizationId}/donor-register/cases/{caseId}/assignmentAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
caseId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.AssignDonorRegisterCaseRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/orgs/{organizationId}/donor-register/cases/{caseId}/determinationAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
caseId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RecordDonorDeterminationRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsDriverCredentialStatusShares
/api/v1/consent/driver-credential-status/sharesAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | query | string (uuid) | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/driver-credential-status/sharesAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.CreateDriverCredentialStatusShareRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/driver-credential-status/shares/{shareId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
shareId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsEmergencyAccess
/api/v1/consent/emergency-accessAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
activeOnly | query | boolean | no | — |
Request body
No request body.
Responses
/api/v1/consent/emergency-accessAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.AuthorizeEmergencyAccessRequestDtoasapplication/*+json,application/json,text/json
Responses
Essence.Consent.Core.Application.Commands.EmergencyAccess.EmergencyAccessAuthorizationDtoMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/emergency-access/{id}/proof-of-lifeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Essence.Consent.Core.Application.Commands.EmergencyAccess.EmergencyAccessAuthorizationDtoMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/consent/emergency-access/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Essence.Consent.Core.Application.Commands.EmergencyAccess.EmergencyAccessAuthorizationDtoMicrosoft.AspNetCore.Mvc.ProblemDetailsErasure
/api/v1/erasure-probe/{subjectId}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
subjectId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
EstateDisclosure
/api/v1/estate-disclosuresAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
claimRef | query | string | no | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate-disclosures/basisAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RecordEstateDisclosureBasisRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate-disclosures/{demandRef}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
demandRef | path | string | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate-disclosures/{demandRef}/scope-auditAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
demandRef | path | string | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Api.Controllers.RecordEstateDisclosureScopeAuditRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsEstateRelease
/api/v1/estate/release/bequestAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consentAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.PreAuthoriseReleaseOnDeathConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consent/mineAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consent/{consentId}/items/{itemId}/revealAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
itemId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consent/{id}Authentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consent/{id}/activation-snapshotAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/consent/{id}/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeReleaseOnDeathConsentRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/appointmentsAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/caseloadAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/cases/{consentId}/officerAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.AssignExecutorOfficerRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/cases/{consentId}/officer-attributionAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Microsoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/cases/{consentId}/officer/handoverAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.HandoverExecutorOfficerRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetails/api/v1/estate/release/org-executor/cases/{consentId}/officer/revokeAuthentication:Bearer (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
consentId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
Essence.Consent.Core.Contracts.DTOs.RevokeExecutorOfficerRequestasapplication/*+json,application/json,text/json
Responses
Microsoft.AspNetCore.Mvc.ValidationProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsMicrosoft.AspNetCore.Mvc.ProblemDetailsExternalDisclosure
/api/v1/consent/external-disclosuresAuthentication:Bearer (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
[...]
